package com.example.test;

import android.content.Intent;
import android.os.AsyncTask;
import android.os.Bundle;
import android.widget.ListView;

import androidx.appcompat.app.AppCompatActivity;

import org.json.JSONArray;
import org.json.JSONObject;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.ArrayList;
import java.util.List;

public class MainActivity extends AppCompatActivity {



    private  AdapterMask pAdapter;
    String usl = "https://ngknn.ru:5001/NGKNN/лебедевааф/api/Teachers";
List<DataModal> listlist= new ArrayList<>();
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);


        //ListList = findViewById(R.id.ListList);
        ListView ivList = findViewById(R.id.ListList);
pAdapter = new AdapterMask(MainActivity.this, listlist );
        ivList.setAdapter(pAdapter);

        List<String> list = new ArrayList<>();
        list.add("Без сортировки");
        list.add("Сортировка по имени");
        list.add("Сортировка по фамилии");

        List<String> list2 = new ArrayList<>();
        list2.add("Без поиска");
        list2.add("Имя");
        list2.add("Фамилия");


        new GetPr().execute();
    }

    private  class  GetPr extends AsyncTask<Void, Void, String>
    {
        @Override
        protected String doInBackground(Void... voids) {
            try {
                URL url = new URL("https://ngknn.ru:5001/NGKNN/лебедевааф/api/Teachers");
                HttpURLConnection connection = (HttpURLConnection) url.openConnection();
                BufferedReader reader = new BufferedReader(new InputStreamReader(connection.getInputStream()));
            StringBuilder rez = new StringBuilder();
            String line ="";
            while ((line = reader.readLine())!= null)
            {
                rez.append(line);
            }
            return  rez.toString();
            }
            catch (IOException e) {
                return  null;
            }
        }
        @Override
        protected void onPostExecute(String s)
        {
            super.onPostExecute(s);
            try {
                JSONArray tempArray = new JSONArray(s);
                for(int i =0;i<tempArray.length();i++)
                {
                    JSONObject produstJSON= tempArray.getJSONObject(i);
                   DataModal temp = new DataModal(
                           produstJSON.getInt("Kod_teacher"),
                           produstJSON.getString("Name"),
                           produstJSON.getString("Surname"),
                           produstJSON.getString("Patronymic"),
                           produstJSON.getString("Subject"),
                           produstJSON.getString("Images")
                   );
                    listlist.add(temp);
                    pAdapter.notifyDataSetInvalidated();
                }
            }
            catch (Exception e) {

            }
        }
    }

    public  void forBack ()
    {
        Intent intent = new Intent(MainActivity.this, Autorezation.class);
        startActivity(intent);

    }
}